For the complete documentation index, see llms.txt. This page is also available as Markdown.

Unit Type

Define and manage unit types in VARIO Cloud via API, including names, abbreviations, categories, UNECE references, updates, and deletion.

the UnitType API

Find an existing Resource by identifier

get
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

typestring · enumRequired

einheiten typ

Possible values:
namestring · max: 255Required

einheiten name

abbreviationstring · max: 255Required

einheiten abkürzung

get/cmn/unit-types/{id}
GET /cmn/unit-types/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "type": "UNDEFINED",
  "name": "text",
  "abbreviation": "text",
  "uneceUnitOfMeasureRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  }
}

Update existing Resource

put
Path parameters
idinteger · int64Required

an identifier

Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

typestring · enumRequired

einheiten typ

Possible values:
namestring · max: 255Required

einheiten name

abbreviationstring · max: 255Required

einheiten abkürzung

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

typestring · enumRequired

einheiten typ

Possible values:
namestring · max: 255Required

einheiten name

abbreviationstring · max: 255Required

einheiten abkürzung

put/cmn/unit-types/{id}
PUT /cmn/unit-types/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 133

{
  "version": "text",
  "info": {},
  "id": "text",
  "type": "UNDEFINED",
  "name": "text",
  "abbreviation": "text",
  "uneceUnitOfMeasureRef": {
    "id": "text"
  }
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "type": "UNDEFINED",
  "name": "text",
  "abbreviation": "text",
  "uneceUnitOfMeasureRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  }
}

Delete an existing Resource

delete
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json
contextstringOptional

message context

messageValuestringOptional

message

delete/cmn/unit-types/{id}
DELETE /cmn/unit-types/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "context": "text",
  "messageValue": "text"
}

Create new Resource

post
Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

typestring · enumRequired

einheiten typ

Possible values:
namestring · max: 255Required

einheiten name

abbreviationstring · max: 255Required

einheiten abkürzung

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

typestring · enumRequired

einheiten typ

Possible values:
namestring · max: 255Required

einheiten name

abbreviationstring · max: 255Required

einheiten abkürzung

post/cmn/unit-types
POST /cmn/unit-types HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 133

{
  "version": "text",
  "info": {},
  "id": "text",
  "type": "UNDEFINED",
  "name": "text",
  "abbreviation": "text",
  "uneceUnitOfMeasureRef": {
    "id": "text"
  }
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "type": "UNDEFINED",
  "name": "text",
  "abbreviation": "text",
  "uneceUnitOfMeasureRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  }
}

Last updated

Was this helpful?